## golang-github-cznic-zappy 0.0~git20160305.0.4f5e6ef

=== Makefile ===
# Copyright 2014 The zappy Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.

all: editor
	go tool vet -printfuncs Log:0,Logf:0 .
	golint .
	go install
	make todo

editor:
	go fmt
	go test -i
	@#go test
	./purego.sh

todo:
	@grep -n ^[[:space:]]*_[[:space:]]*=[[:space:]][[:alnum:]] *.go || true
	@grep -n TODO *.go || true
	@grep -n BUG *.go || true
	@grep -n println *.go || true

clean:
	rm -f *~ cov cov.html

gocov:
	gocov test $(COV) | gocov-html > cov.html

bench:
	go test -run NONE -bench B

=== debian/changelog ===
golang-github-cznic-zappy (0.0~git20160305.0.4f5e6ef-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Change priority extra to priority optional.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository, Repository-Browse.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 05 Feb 2021 02:44:31 +0000

golang-github-cznic-zappy (0.0~git20160305.0.4f5e6ef-2) unstable; urgency=medium

  [ Paul Tagliamonte ]
  * Team upload.
  * Use a secure transport for the Vcs-Git and Vcs-Browser URL

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.
  * Fix insecure-copyright-format-uri.
  * Set Testsuite: autopkgtest-pkg-go.

 -- Alexandre Viau <aviau@debian.org>  Sun, 22 Apr 2018 16:20:38 -0400

golang-github-cznic-zappy (0.0~git20160305.0.4f5e6ef-1) unstable; urgency=medium

  * Initial release (Closes: #816789).

 -- Dmitry Smirnov <onlyjob@debian.org>  Sat, 05 Mar 2016 22:08:53 +1100

=== debian/control ===
Source: golang-github-cznic-zappy
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Dmitry Smirnov <onlyjob@debian.org>, Tim Potter <tpot@hpe.com>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-go,
               golang-github-golang-snappy-dev
Standards-Version: 3.9.7
Homepage: https://github.com/cznic/zappy
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-cznic-zappy
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-cznic-zappy.git
XS-Go-Import-Path: github.com/cznic/zappy
Testsuite: autopkgtest-pkg-go

Package: golang-github-cznic-zappy-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-go,
         golang-github-golang-snappy-dev
Description: zappy block-based compression format
 Golang implementation of the zappy block-based compression format.
 It aims for a combination of good speed and reasonable compression.
